AI エージェント向け: ドキュメントインデックスは https://www.mongodb.com/ja-jp/docs/llms.txt で利用できます。すべてのページの markdown バージョンは、いずれかの URL パスに .md を追加することで利用できます。
Docs Menu

チェックポイント

注意

グループとプロジェクトは同義期間です。あなたの {PROJECT-ID} はグループ ID と同じです。既存のグループの場合、グループ/プロジェクトID は同じままです。このページでは、説明を参照するときに、より一般的な期間のグループ を使用します。エンドポイントとなる接続されたデバイスは、ドキュメントに記載されているままです。

このリソースを使用すると、チェックポイントのメタデータを表示できます。 チェックポイント を使用して、通常のスナップショット間の特定の時点でクラスターのカスタム スナップショットを作成できます。

重要

You may use checkpoints for clusters that run MongoDB with Feature Compatibility Version of 4.0 or earlier. Checkpoints were removed from MongoDB instances with FCV 4.2 or later.

クラスターのすべてのチェックポイントを取得します。

GET /groups/{PROJECT-ID}/clusters/CLUSTER-ID/checkpoints

チェックポイントを 1 つ取得します。

GET /groups/{PROJECT-ID}/clusters/CLUSTER-ID/checkpoints/CHECKPOINT-ID
1{
2 "clusterId" : "{CLUSTER-ID}",
3 "completed" : "2015-07-31T23:19:51Z",
4 "groupId" : "{GROUP-ID}",
5 "id" : "{CHECKPOINT-ID}",
6 "parts" : [ {
7 "replicaSetName" : "shard_1",
8 "shardName" : "shard_1",
9 "tokenDiscovered" : true,
10 "tokenTimestamp" : {
11 "date" : "2015-07-31T23:19:51Z",
12 "increment" : 1
13 },
14 "typeName" : "REPLICA_SET"
15 }, {
16 "replicaSetName" : "shard_0",
17 "shardName" : "shard_0",
18 "tokenDiscovered" : true,
19 "tokenTimestamp" : {
20 "date" : "2015-07-31T23:19:51Z",
21 "increment" : 1
22 },
23 "typeName" : "REPLICA_SET"
24 }, {
25 "hostId" : "{HOST-ID}",
26 "tokenDiscovered" : true,
27 "tokenTimestamp" : {
28 "date" : "2015-07-31T23:19:51Z",
29 "increment" : 6
30 },
31 "typeName" : "CONFIG_SERVER"
32 } ],
33 "restorable" : true,
34 "started" : "2015-07-31T23:19:51Z",
35 "timestamp" : "2015-07-31T23:19:47Z"
36}
名前
タイプ
説明

clusterId

string

チェックポイントによって表されるクラスターの一意の識別子です。

completed

string

チェックポイントが完了し、バランサーが再起動された時点の時点の ISO 8601 の日付と時刻形式(UTC)のタイムスタンプ。

groupId

string

チェックポイントを所有するグループの一意の識別子です。

id

string

チェックポイントの一意の識別子です。

parts

オブジェクトの配列

完全なチェックポイントを構成する個々の部分。 各シャードに 1 つの要素とコンフィギュレーションサーバーの 1 つの要素があります。

parts
.replicaSetName

string

レプリカセットの名前。 コンフィギュレーションサーバーには存在しません。

parts
.shardName

string

シャードの名前。

parts
.tokenDiscovered

ブール値

トークンが存在するかどうかを示すフラグ。

parts
.tokenTimestamp

オブジェクト

oplog内のエントリのタイムスタンプ(エントリの tsフィールドで指定)。ts フィールドはBSONタイムスタンプで、Unix エポックからの秒数単位の値である タイムスタンプ と、特定の秒内の操作の増分序数である 増分 の 2 つのコンポーネントがあります。

parts
.typeName

string

部分で表されるサーバーのタイプ。 可能な値は次のとおりです。

  • REPLICA_SETは、その部分がシャードであることを示します。

  • CONFIG_SERVER

restorable

ブール値

チェックポイントを復元に使用できるかどうかを示すフラグ。

started

string

Timestamp in ISO 8601 date and time format in UTC for the point-in-time when Cloud Manager stopped the balancer and began the checkpoint.

timestamp

string

Timestamp in ISO 8601 date and time format in UTC for the point-in-time to which the checkpoint restores data.

関係
説明

self

チェックポイント

http://mms.mongodb.com/cluster

チェックポイントが属するクラスター。

http://mms.mongodb.com/group

チェックポイントを所有するプロジェクト。

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Accept: application/json" \
--include \
--request GET "https://cloud.mongodb.com/api/public/v1.0/groups/{GROUP-ID}/clusters/{CLUSTER-ID}/checkpoints"
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
1{
2 "links" : [],
3 "results" : [ {
4 "clusterId" : "{CLUSTER-ID}",
5 "completed" : "2015-07-31T23:35:52Z",
6 "groupId" : "{GROUP-ID}",
7 "id" : "55bc0658e4b097a3efe06f1f",
8 "links" : [],
9 "parts" : [ {
10 "replicaSetName" : "shard_1",
11 "shardName" : "shard_1",
12 "tokenDiscovered" : true,
13 "tokenTimestamp" : {
14 "date" : "2015-07-31T23:35:52Z",
15 "increment" : 1
16 },
17 "typeName" : "REPLICA_SET"
18 }, {
19 "replicaSetName" : "shard_0",
20 "shardName" : "shard_0",
21 "tokenDiscovered" : true,
22 "tokenTimestamp" : {
23 "date" : "2015-07-31T23:35:52Z",
24 "increment" : 1
25 },
26 "typeName" : "REPLICA_SET"
27 }, {
28 "hostId" : "{HOST-ID}",
29 "tokenDiscovered" : true,
30 "tokenTimestamp" : {
31 "date" : "2015-07-31T23:35:52Z",
32 "increment" : 2
33 },
34 "typeName" : "CONFIG_SERVER"
35 } ],
36 "restorable" : true,
37 "started" : "2015-07-31T23:35:52Z",
38 "timestamp" : "2015-07-31T23:34:47Z"
39 },
40 ...
41 ],
42 "totalCount" : 6
43}
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Accept: application/json" \
--include \
--request GET "https://cloud.mongodb.com/api/public/v1.0/groups/{GROUP-ID}/clusters/{CLUSTER-ID}/checkpoints/{CHECKPOINT-ID}"
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
1{
2 "clusterId" : "{CLUSTER-ID}",
3 "completed" : "2015-07-31T23:19:51Z",
4 "groupId" : "{GROUP-ID}",
5 "id" : "{CHECKPOINT-ID}",
6 "links" : [],
7 "parts" : [ {
8 "replicaSetName" : "shard_1",
9 "shardName" : "shard_1",
10 "tokenDiscovered" : true,
11 "tokenTimestamp" : {
12 "date" : "2015-07-31T23:19:51Z",
13 "increment" : 1
14 },
15 "typeName" : "REPLICA_SET"
16 }, {
17 "replicaSetName" : "shard_0",
18 "shardName" : "shard_0",
19 "tokenDiscovered" : true,
20 "tokenTimestamp" : {
21 "date" : "2015-07-31T23:19:51Z",
22 "increment" : 1
23 },
24 "typeName" : "REPLICA_SET"
25 }, {
26 "hostId" : "{HOST-ID}",
27 "tokenDiscovered" : true,
28 "tokenTimestamp" : {
29 "date" : "2015-07-31T23:19:51Z",
30 "increment" : 6
31 },
32 "typeName" : "CONFIG_SERVER"
33 } ],
34 "restorable" : true,
35 "started" : "2015-07-31T23:19:51Z",
36 "timestamp" : "2015-07-31T23:19:47Z"
37}